net.dontdrinkandroot.utils.oldprogressmonitor.impl

## Class SimpleMonitor

- java.lang.Object
- - net.dontdrinkandroot.utils.oldprogressmonitor.impl.AbstractProgressMonitor
  - - net.dontdrinkandroot.utils.oldprogressmonitor.impl.SimpleMonitor

All Implemented Interfaces:
  Serializable, ProgressMonitor

    public class SimpleMonitor
    extends AbstractProgressMonitor

A `ProgressMonitor` implementation with no extra funtionality.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SimpleMonitor()`

### Method Summary

### Methods inherited from class net.dontdrinkandroot.utils.oldprogressmonitor.impl.AbstractProgressMonitor

`doMessageChanged, doProgressChanged, getMessage, getProgress, getProgressStatus, getRangeEnd, getRangeStart, isDone, setDone, setMessage, setProgress, setRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleMonitor

    public SimpleMonitor()